%global debug_package %{nil}

Summary:        C++ mathematics library for graphics programming
Name:           glm
Version:        0.9.9.8
Release:        5%{?dist}

License:        MIT
URL:            https://github.com/g-truc/glm
Source0:        https://github.com/g-truc/glm/archive/%{version}.tar.gz
Patch3000:      glm-0.9.9.8-install.patch

BuildRequires: gcc gcc-c++ cmake >= 3.14 make


%description
GLM is a C++ library for doing mathematics operations
required in many OpenGL based applications. Its interface
has been designed to resemble the built-in matrix and vector
types of the OpenGL shading language.

%package        devel
Summary:        C++ mathematics library for graphics programming
BuildArch:      noarch
Provides:       %{name}-static = %{version}-%{release}

%description    devel
GLM is a C++ library for doing mathematics operations
required in many OpenGL based applications. Its interface
has been designed to resemble the built-in matrix and vector
types of the OpenGL shading language.

%{name}-devel is only required for building software that uses
the GLM library. Because GLM currently is a header-only library,
there is no matching run time package.

%package        doc
Summary:        Documentation for %{name}-devel
BuildArch:      noarch

%description    doc
The %{name}-doc package contains reference documentation and
a programming manual for the %{name}-devel package.

%prep
%autosetup -p1

%build
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%{cmake} -DGLM_TEST_ENABLE=ON
%cmake_build

%check
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%ctest -- --output-on-failure -E '(test-core_func_common|test-gtc_packing)'

%install
%cmake_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name CMakeLists.txt -exec rm -f {} ';'

mkdir -pv %{buildroot}%{_datadir}
mv %{buildroot}%{_libdir}/cmake %{buildroot}%{_datadir}/cmake
rmdir %{buildroot}%{_libdir}

rm -rf %{buildroot}%{_includedir}/%{name}/{CMakeFiles,libglm_shared.so}

%files devel
%doc readme.md
%{_includedir}/%{name}
%{_datadir}/cmake

%files doc
%doc doc/manual.pdf
%doc doc/api/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.9.8-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.9.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.9.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.9.8-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 cunshunxia <cunshunxia@tencent.com> - 0.9.9.8-1
- initial build
